//
//  Module      : queuefile.h
//  Author      : Oren Sokoler 
//  E-mail      : orenskl@netvision.net.il
//  Description : Header file for queuefile.cpp
//
//  Copyright (C) 1999 Oren Sokoler
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

//-----------------------------------------------------
//                   Qt include files
//-----------------------------------------------------

#include <qfile.h>

//-----------------------------------------------------
//                   Class QueueFile
//-----------------------------------------------------

class QueueFile : QFile {

 public:

// Method      : QueueFile
// Description : QueueFile constructor
// Parameters  : Name - Queue file name
// Returns     : none.
// Notes       : none.  
  QueueFile(const char * Name);

// Method      : ~QueueFile
// Description : QueueFile destructor
// Parameters  : none.
// Returns     : none.
// Notes       : none.  
  ~QueueFile(void);

// Method      : From
// Description : Get the from address of this queue file 
// Parameters  : none
// Returns     : From address of this queue file 
// Notes       : none.
  const char * From(void) const;

// Method      : To
// Description : Get the to address of this queue file 
// Parameters  : none.
// Returns     : To address of this queue file 
// Notes       : none.
  const char * To(void) const;

 private:

  QString                 FromLine;    // Mail from line
  QString                 ToLine;      // Mail to line

};


